grails.project.dependency.resolution = {
    // inherit Grails' default dependencies
    inherits ("global") {
//        excludes 'svnkit'
    }
    log "warn" // log level of Ivy resolver, either 'error', 'warn', 'info', 'debug' or 'verbose'
    repositories {
        grailsPlugins()
        grailsHome()
        mavenLocal()
        mavenCentral()
        mavenRepo "http://repository.codehaus.org"
        mavenRepo "http://svn.codehaus.org/groovy/trunk/groovy/modules/xmlrpc/repository"
        mavenRepo "http://repository.jboss.org/maven2"
    }
    dependencies {
//        build       'org.tmatesoft.svnkit:svnkit:1.3.2'

        compile ('org.hibernate:hibernate-annotations:3.4.0.GA') {
            exported = false
        }
        compile ('org.hibernate:hibernate-commons-annotations:3.3.0.ga') {
            exported = false
        }
        compile ('org.hibernate:hibernate-core:3.3.1.GA') {
            exported = false
        }
        compile ('org.codehaus.groovy:groovy-xmlrpc:0.5.1') {
            excludes 'xml-apis'
        }
        test    'dom4j:dom4j:1.6.1',
                'javassist:javassist:3.9.0.GA'
        runtime 'dom4j:dom4j:1.6.1',
                'javassist:javassist:3.9.0.GA'
    }
}
