import groovy.net.xmlrpc.XMLRPCServerProxy

class CacheService {

    boolean transactional = false

    def postsMap = [:]
    def pagesMap = [:]
    def categories = []
    
    def recentPostIds = []

    void setRecentPosts(recentPosts) {
        recentPostIds = []
        recentPosts.each { post ->
            postsMap["${post.postid}"] = post
            recentPostIds << "${post.postid}"
        }
    }
    
    void setPages(pages) {
        pages.each { page ->
            pagesMap["${page.page_id}"] = page
        }
    }

    def getRecentPosts (int count, String status) {
        def recentPosts = []
        recentPostIds.each { id ->
            if (recentPosts.size() < count) {
                def post = postsMap[id]
                if (!status || status == post.post_status) {
                    recentPosts << post
                }
            }
        }
        recentPosts
    }

    def getPost(String id) {
       postsMap[id]
    }

    void putPost(post) {
        postsMap["${post.postid}"] = post
    }

    def getPage(String id) {
       pagesMap[id]
    }

    void putPage(page) {
        pagesMap["${page.page_id}"] = page
    }
}
