package grails.plugins.wordpress.jobs

import org.codehaus.groovy.grails.commons.ApplicationHolder

class UpdateCacheJob {
    static triggers = {
      simple name: 'wordpressCacheUpdate',
          startDelay: ApplicationHolder?.application?.config?.wordpress?.cache?.timeout ?: 60000,
          repeatInterval: ApplicationHolder?.application?.config?.wordpress?.cache?.timeout ?: 5 * 60000
    }
    def group = 'wordpress'
    def concurrent = false

    def wordpressService

    def execute() {
        wordpressService.updateCache()
    }
}
