package org.grails.plugins.wordpress.jobs

import org.codehaus.groovy.grails.commons.ApplicationHolder

class UpdateCacheJob {
    def startDelay = ApplicationHolder.application.config.wordpress?.cache?.timeout ?: 60000
    def timeout = ApplicationHolder.application.config.wordpress?.cache?.timeout ?: 5 * 60000
    def group = 'wordpress'
    def concurrent = false

    def wordpressService

    def execute() {
        wordpressService.updateCache()
    }
}
